// Tango_DLL.h : Haupt-Header-Datei fr die DLL TANGO_DLL
//

#if !defined(AFX_TANGO_DLL_H__9C482D72_9083_4B59_835F_8120FA8DFE16__INCLUDED_)
#define AFX_TANGO_DLL_H__9C482D72_9083_4B59_835F_8120FA8DFE16__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// Hauptsymbole


/////////////////////////////////////////////////////////////////////////////
// CTango_DLLApp
// Siehe Tango_DLL.cpp fr die Implementierung dieser Klasse
//

class CTango_DLLApp : public CWinApp
{
public:
	CTango_DLLApp();

// berladungen
	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CTango_DLLApp)
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CTango_DLLApp)
		// HINWEIS - An dieser Stelle werden Member-Funktionen vom Klassen-Assistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
protected:
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.








#ifdef __cplusplus
// use "C"-style names
extern "C" {
#endif

#define TANGO_API __declspec(dllexport)

#pragma pack(1)
struct TLS_ControlInitPar
{
  int  Size;
  int  InterfaceType;
  char ComNameLength;
  char ComName[32];
  BOOL ShowProt;
  BOOL ShowCmdList;

  int  BaudRate;
  int  IOAdress;
  int  CardIndex;

  int  ControlType;
  char VersionStrLength;
  char VersionStr[64];
  int  Axes;
  int  ErrorCode;
  BOOL NewCmds;
  int  Encoder;
  BOOL Display, SpeedPoti, HandWheel, Snapshot, TVR, TriggerOut;
  BOOL DemoMode;
};



TANGO_API int __stdcall LSX_CreateLSID(int *plLSID);
TANGO_API int __stdcall LSX_FreeLSID(int lLSID);
TANGO_API int __stdcall LSX_Connect(int lLSID);
TANGO_API int __stdcall LSX_ConnectSimple(int lLSID, int lAnInterfaceType, char *pcAComName, int lABaudRate, BOOL bAShowProt);
TANGO_API int __stdcall LSX_ConnectEx (int lLSID, TLS_ControlInitPar *pAControlInitPar);
TANGO_API int __stdcall LSX_Disconnect (int lLSID);
TANGO_API int __stdcall LSX_GetDLLVersionString (int lLSID, char *pcVers, int lMaxLen);
TANGO_API int __stdcall LSX_LoadConfig (int lLSID, char *pcFileName);
TANGO_API int __stdcall LSX_SaveConfig (int lLSID, char *pcFileName);
TANGO_API int __stdcall LSX_MoveAbs (int lLSID, double dX, double dY, double dZ, double dA, BOOL bWait);
TANGO_API int __stdcall LSX_MoveRel (int lLSID, double dX, double dY, double dZ, double dA, BOOL bWait);
TANGO_API int __stdcall LSX_Calibrate (int lLSID);
TANGO_API int __stdcall LSX_RMeasure (int lLSID);
TANGO_API int __stdcall LSX_SetPitch (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetPos (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetActiveAxes (int lLSID, int lFlags);
TANGO_API int __stdcall LSX_SetVel (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetAccel (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetReduction (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetDelay (int lLSID, int lDelay);
TANGO_API int __stdcall LSX_SetSwitchPolarity (int lLSID, int lXP, int lYP, int lZP, int lAP);
TANGO_API int __stdcall LSX_SetSwitchActive (int lLSID, int lXA, int lYA, int lZA, int lAA);
TANGO_API int __stdcall LSX_SetJoystickOn (int lLSID, BOOL bPositionCount, BOOL bEncoder);
TANGO_API int __stdcall LSX_SetJoystickOff (int lLSID);
TANGO_API int __stdcall LSX_SoftwareReset (int lLSID);
TANGO_API int __stdcall LSX_SetDigitalOutput (int lLSID, int lIndex, BOOL bValue);
TANGO_API int __stdcall LSX_GetDigitalInputs (int lLSID, int *plValue);
TANGO_API int __stdcall LSX_SetAnalogOutput (int lLSID, int lIndex, int lValue);
TANGO_API int __stdcall LSX_GetAnalogInput (int lLSID, int lIndex, int *plValue);
TANGO_API int __stdcall LSX_GetHdiKeys (int lLSID, int *plKey1, int *plKey2, int *plKey3, int *plKey4);
TANGO_API int __stdcall LSX_SetLimit (int lLSID, int lAxis, double dMinRange, double dMaxRange);
TANGO_API int __stdcall LSX_SetLimitControl (int lLSID, int lAxis, BOOL bActive);
TANGO_API int __stdcall LSX_GetPos (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LSX_GetStatus (int lLSID, char *pcStat, int lMaxLen);
TANGO_API int __stdcall LSX_GetEncoderMask (int lLSID, int *plFlags);
TANGO_API int __stdcall LSX_StopAxes (int lLSID);
TANGO_API int __stdcall LSX_SetAbortFlag (int lLSID);
TANGO_API int __stdcall LSX_MoveRelSingleAxis (int lLSID, int lAxis, double dValue, BOOL bWait);
TANGO_API int __stdcall LSX_MoveAbsSingleAxis (int lLSID, int lAxis, double dValue, BOOL bWait);
TANGO_API int __stdcall LSX_SetControlPars (int lLSID);
TANGO_API int __stdcall LSX_SetMotorCurrent (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetVelSingleAxis (int lLSID, int lAxis, double dVel);
TANGO_API int __stdcall LSX_SetAccelSingleAxis (int lLSID, int lAxis, double dAccel);
TANGO_API int __stdcall LSX_CalibrateEx (int lLSID, int lFlags);
TANGO_API int __stdcall LSX_RMeasureEx (int lLSID, int lFlags);
TANGO_API int __stdcall LSX_SetShowProt (int lLSID, BOOL bShowProt);
TANGO_API int __stdcall LSX_GetAnalogInputs2 (int lLSID, int *plPT100, int *plMV, int *plV24);
TANGO_API int __stdcall LSX_SendString (int lLSID, char *pcStr, char *pcRet, int lMaxLen, BOOL bReadLine, int lTimeOut);
TANGO_API int __stdcall LSX_SetSpeedPoti (int lLSID, BOOL bSpeedPoti);
TANGO_API int __stdcall LSX_SetTVRMode (int lLSID, int lXT, int lYT, int lZT, int lAT);
TANGO_API int __stdcall LSX_SetAutoStatus (int lLSID, int lValue);
TANGO_API int __stdcall LSX_GetStatusAxis (int lLSID, char *pcStatusAxisStr, int lMaxLen);
TANGO_API int __stdcall LSX_SetDigIO_Off (int lLSID, int lIndex);
TANGO_API int __stdcall LSX_SetDigIO_Polarity (int lLSID, int lIndex, BOOL bHigh);
TANGO_API int __stdcall LSX_SetDigIO_EmergencyStop (int lLSID, int lIndex);
TANGO_API int __stdcall LSX_SetDigIO_Distance (int lLSID, int lIndex, BOOL bFkt, double dDist, int lAxis);
TANGO_API int __stdcall LSX_SetDimensions (int lLSID, int lXD, int lYD, int lZD, int lAD);
TANGO_API int __stdcall LSX_MoveRelShort (int lLSID);
TANGO_API int __stdcall LSX_SetEncoderPeriod (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetJoystickDir (int lLSID, int lXD, int lYD, int lZD, int lAD);
TANGO_API int __stdcall LSX_SetEncoderMask (int lLSID, int lValue);
TANGO_API int __stdcall LSX_SetGear (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetHandWheelOn (int lLSID, BOOL bPositionCount, BOOL bEncoder);
TANGO_API int __stdcall LSX_SetHandWheelOff (int lLSID);
TANGO_API int __stdcall LSX_SetFactorTVR (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetTargetWindow (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetController (int lLSID, int lXC, int lYC, int lZC, int lAC);
TANGO_API int __stdcall LSX_SetControllerCall (int lLSID, int lCtrCall);
TANGO_API int __stdcall LSX_SetControllerSteps (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetControllerFactor (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetControllerTWDelay (int lLSID, int lCtrTWDelay);
TANGO_API int __stdcall LSX_SetEncoderRefSignal (int lLSID, int lXR, int lYR, int lZR, int lAR);
TANGO_API int __stdcall LSX_SetEncoderPosition (int lLSID, BOOL bValue);
TANGO_API int __stdcall LSX_GetVersionStr (int lLSID, char *pcVers, int lMaxLen);
TANGO_API int __stdcall LSX_GetError (int lLSID, int *plErrorCode);
TANGO_API int __stdcall LSX_GetPosSingleAxis (int lLSID, int lAxis, double *pdPos);
TANGO_API int __stdcall LSX_SetDistance (int lLSID, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_GetPosEx (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR, BOOL bEncoder);
TANGO_API int __stdcall LSX_SetShowCmdList (int lLSID, BOOL bShowCmdList);
TANGO_API int __stdcall LSX_SetWriteLogText (int lLSID, BOOL bAWriteLogText);
TANGO_API int __stdcall LSX_SetControllerTimeout (int lLSID, int lACtrTimeout);
TANGO_API int __stdcall LSX_SetEncoderActive (int lLSID, int lFlags);
TANGO_API int __stdcall LSX_GetSnapshotCount (int lLSID, int *plSnsCount);
TANGO_API int __stdcall LSX_GetSnapshotPos (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LSX_SetCorrTblOff (int lLSID);
TANGO_API int __stdcall LSX_SetCorrTblOn (int lLSID, char *pcAFileName);
TANGO_API int __stdcall LSX_SetFactorMode (int lLSID, BOOL bAFactorMode, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LSX_SetSnapshot (int lLSID, BOOL bASnapshot);
TANGO_API int __stdcall LSX_SetSnapshotPar (int lLSID, BOOL bHigh, BOOL bAutoMode);
TANGO_API int __stdcall LSX_SetTrigger (int lLSID, BOOL bATrigger);
TANGO_API int __stdcall LSX_SetTriggerPar (int lLSID, int lAxis, int lMode, int lSignal, double dDistance);
TANGO_API int __stdcall LSX_SetLanguage (int lLSID, char *pcPLN);
TANGO_API int __stdcall LSX_GetSwitches (int lLSID, int *plFlags);
TANGO_API int __stdcall LSX_GetSerialNr (int lLSID, char *pcSerialNr, int lMaxLen);
TANGO_API int __stdcall LSX_SetCalibOffset (int lLSID, double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LSX_SetRMOffset (int lLSID, double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LSX_GetSnapshotPosArray (int lLSID, int lIndex, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_SetAxisDirection (int lLSID, int lXD, int lYD, int lZD, int lAD);
TANGO_API int __stdcall LSX_SetCalibrateDir (int lLSID, int lXD, int lYD, int lZD, int lAD);
TANGO_API int __stdcall LSX_LStepSave (int lLSID);
TANGO_API int __stdcall LSX_SetBPZ (int lLSID, int lAValue);
TANGO_API int __stdcall LSX_SetBPZTrackballFactor (int lLSID, double dAValue);
TANGO_API int __stdcall LSX_SetBPZTrackballBackLash (int lLSID, double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LSX_SetBPZJoyspeed (int lLSID, int lAPar, double dAValue);
TANGO_API int __stdcall LSX_SetJoystickWindow (int lLSID, int lAValue);
TANGO_API int __stdcall LSX_SetCurrentDelay (int lLSID, int lX, int lY, int lZ, int lR);
TANGO_API int __stdcall LSX_MoveEx (int lLSID, double dX, double dY, double dZ, double dR, BOOL bRelative, BOOL bWait, int lAxisCount);
TANGO_API int __stdcall LSX_WaitForAxisStop (int lLSID, int lAFlags, int lATimeoutValue, BOOL *pbATimeout);
TANGO_API int __stdcall LSX_SetProcessMessagesProc (int lLSID, void* pProc);
TANGO_API int __stdcall LSX_SendStringPosCmd (int lLSID, char *pcStr, char *pcRet, int lMaxLen, BOOL bReadLine, int lTimeOut);
TANGO_API int __stdcall LSX_SetDigitalOutputs (int lLSID, int lValue);
TANGO_API int __stdcall LSX_SetWriteLogTextFN (int lLSID, BOOL bAWriteLogText, char *pcALogFN);
TANGO_API int __stdcall LSX_SetDigitalOutputsE (int lLSID, int lValue);
TANGO_API int __stdcall LSX_GetDigitalInputsE (int lLSID, int *plValue);
TANGO_API int __stdcall LSX_EnableCommandRetry (int lLSID, BOOL bAValue);
TANGO_API int __stdcall LSX_SetXYAxisComp (int lLSID, int lValue);
TANGO_API int __stdcall LSX_GetVersionStrDet (int lLSID, char *pcVersDet, int lMaxLen);
TANGO_API int __stdcall LSX_SetCommandTimeout (int lLSID, int lAtoRead, int lAtoMove, int lAtoCalibrate);
TANGO_API int __stdcall LSX_SetExtValue (int lLSID, int lAName, int lAValue);
TANGO_API int __stdcall LSX_FlushBuffer (int lLSID, int lAValue);
TANGO_API int __stdcall LSX_GetEEPRomValue (int lLSID, byte Offset, byte *pValue);
TANGO_API int __stdcall LSX_SetEEPRomValue (int lLSID, byte Offset, byte Value);
TANGO_API int __stdcall LSX_GetXYAxisComp (int lLSID, int *plValue);
TANGO_API int __stdcall LSX_GetDimensions (int lLSID, int *plXD, int *plYD, int *plZD, int *plAD);
TANGO_API int __stdcall LSX_GetPitch (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LSX_GetGear (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LSX_GetVel (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LSX_GetAccel (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LSX_SetVelFac (int lLSID, double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LSX_GetVelFac (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_GetSpeedPoti (int lLSID, BOOL *pbSpePoti);
TANGO_API int __stdcall LSX_GetMotorCurrent (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LSX_GetReduction (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LSX_GetCurrentDelay (int lLSID, int *plX, int *plY, int *plZ, int *plR);
TANGO_API int __stdcall LSX_SetOutFuncLev (int lLSID, double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LSX_GetOutFuncLev (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_GetActiveAxes (int lLSID, int *plFlags);
TANGO_API int __stdcall LSX_GetAxisDirection (int lLSID, int *plXD, int *plYD, int *plZD, int *plAD);
TANGO_API int __stdcall LSX_GetCalibOffset (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_GetRMOffset (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_GetCalibrateDir (int lLSID, int *plXD, int *plYD, int *plZD, int *plAD);
TANGO_API int __stdcall LSX_SetCalibBackSpeed (int lLSID, int lSpeed);
TANGO_API int __stdcall LSX_GetCalibBackSpeed (int lLSID, int *plSpeed);
TANGO_API int __stdcall LSX_SetRefSpeed (int lLSID, int lSpeed);
TANGO_API int __stdcall LSX_GetRefSpeed (int lLSID, int *plSpeed);
TANGO_API int __stdcall LSX_SetPowerAmplifier (int lLSID, BOOL bAmplifier);
TANGO_API int __stdcall LSX_GetPowerAmplifier (int lLSID, BOOL *pbAmplifier);
TANGO_API int __stdcall LSX_SetMotorTablePatch (int lLSID, BOOL bActive);
TANGO_API int __stdcall LSX_GetMotorTablePatch (int lLSID, BOOL *pbActive);
TANGO_API int __stdcall LSX_SetJoystickFilter (int lLSID, BOOL bActive);
TANGO_API int __stdcall LSX_GetJoystickFilter (int lLSID, BOOL *pbActive);
TANGO_API int __stdcall LSX_SetStopPolarity (int lLSID, BOOL bHighActiv);
TANGO_API int __stdcall LSX_GetStopPolarity (int lLSID, BOOL *pbHighActiv);
TANGO_API int __stdcall LSX_SetVLevel (int lLSID, int lVRegion, double dDownLevel, double dUppLevel);
TANGO_API int __stdcall LSX_GetVLevel (int lLSID, int lVRegion, double *pdDownLevel, double *pdUppLevel);
TANGO_API int __stdcall LSX_SetStopAccel (int lLSID, double dXD, double dYD, double dZD, double dAD);
TANGO_API int __stdcall LSX_GetStopAccel (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
TANGO_API int __stdcall LSX_GetVersionStrInfo (int lLSID, char *pcVersInfo, int lMaxLen);
TANGO_API int __stdcall LSX_GetStatusLimit (int lLSID, char *pcLimit, int lMaxLen);
TANGO_API int __stdcall LSX_GetSecurityErr (int lLSID, DWORD *pdwValue);
TANGO_API int __stdcall LSX_GetSecurityStatus (int lLSID, DWORD *pdwValue);
TANGO_API int __stdcall LSX_GetDelay (int lLSID, int *plDelay);
TANGO_API int __stdcall LSX_GetDistance (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_ClearPos (int lLSID, int lFlags);
TANGO_API int __stdcall LSX_SetDigJoySpeed (int lLSID, double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LSX_GetDigJoySpeed (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_GetJoystickDir (int lLSID, int *plXD, int *plYD, int *plZD, int *plRD);
TANGO_API int __stdcall LSX_GetJoystick (int lLSID, BOOL *pbJoystickOn, BOOL *pbManual, BOOL *pbPositionCount, BOOL *pbEncoder);
TANGO_API int __stdcall LSX_GetJoystickWindow (int lLSID, int *plAValue);
TANGO_API int __stdcall LSX_GetHandWheel (int lLSID, BOOL *pbHandWheelOn, BOOL *pbPositionCount, BOOL *pbEncoder);
TANGO_API int __stdcall LSX_GetBPZ (int lLSID, int *plAValue);
TANGO_API int __stdcall LSX_GetBPZTrackballFactor (int lLSID, double *pdAValue);
TANGO_API int __stdcall LSX_GetBPZTrackballBackLash (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_GetBPZJoyspeed (int lLSID, int lAPar, double *pdAValue);
TANGO_API int __stdcall LSX_GetLimitControl (int lLSID, int lAxis, BOOL *pbActive);
TANGO_API int __stdcall LSX_SetAutoLimitAfterCalibRM (int lLSID, int lFlags);
TANGO_API int __stdcall LSX_GetAutoLimitAfterCalibRM (int lLSID, int *plFlags);
TANGO_API int __stdcall LSX_GetSwitchPolarity (int lLSID, int *plXP, int *plYP, int *plZP, int *plRP);
TANGO_API int __stdcall LSX_GetSwitchActive (int lLSID, int *plXA, int *plYA, int *plZA, int *plRA);
TANGO_API int __stdcall LSX_GetTVRMode (int lLSID, int *plXT, int *plYT, int *plZT, int *plRT);
TANGO_API int __stdcall LSX_GetFactorTVR (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_SetTVROutMode (int lLSID, int lXT, int lYT, int lZT, int lRT);
TANGO_API int __stdcall LSX_GetTVROutMode (int lLSID, int *plXT, int *plYT, int *plZT, int *plRT);
TANGO_API int __stdcall LSX_SetTVROutResolution (int lLSID, int lX, int lY, int lZ, int lR);
TANGO_API int __stdcall LSX_GetTVROutResolution (int lLSID, int *plX, int *plY, int *plZ, int *plR);
TANGO_API int __stdcall LSX_SetTVROutPitch (int lLSID, double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LSX_GetTVROutPitch (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_SetVelTVRO (int lLSID, double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LSX_GetVelTVRO (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_SetAccelTVRO (int lLSID, double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LSX_GetAccelTVRO (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_SetVelSingleAxisTVRO (int lLSID, int lAxis, double dVel);
TANGO_API int __stdcall LSX_SetAccelSingleAxisTVRO (int lLSID, int lAxis, double dAccel);
TANGO_API int __stdcall LSX_SetPosTVRO (int lLSID, double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LSX_GetPosTVRO (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_MoveAbsTVRO (int lLSID, double dX, double dY, double dZ, double dR, BOOL bWait);
TANGO_API int __stdcall LSX_MoveRelTVRO (int lLSID, double dX, double dY, double dZ, double dR, BOOL bWait);
TANGO_API int __stdcall LSX_MoveRelTVROSingleAxis (int lLSID, int lAxis, double dValue, BOOL bWait);
TANGO_API int __stdcall LSX_MoveAbsTVROSingleAxis (int lLSID, int lAxis, double dValue, BOOL bWait);
TANGO_API int __stdcall LSX_GetStatusTVRO (int lLSID, char *pcStat, int lMaxLen);
TANGO_API int __stdcall LSX_GetTargetWindow (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_GetEncoderPeriod (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_GetEncoderRefSignal (int lLSID, int *plXR, int *plYR, int *plZR, int *plRR);
TANGO_API int __stdcall LSX_GetEncoderPosition (int lLSID, BOOL *pbValue);
TANGO_API int __stdcall LSX_GetEncoderActive (int lLSID, int *plFlags);
TANGO_API int __stdcall LSX_GetController (int lLSID, int *plXC, int *plYC, int *plZC, int *plRC);
TANGO_API int __stdcall LSX_GetControllerCall (int lLSID, int *plCtrCall);
TANGO_API int __stdcall LSX_GetControllerSteps (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_GetControllerFactor (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LSX_GetControllerTWDelay (int lLSID, int *plCtrTWDelay);
TANGO_API int __stdcall LSX_GetControllerTimeout (int lLSID, int *plACtrTimeout);
TANGO_API int __stdcall LSX_SetCtrFastMoveOn (int lLSID);
TANGO_API int __stdcall LSX_SetCtrFastMoveOff (int lLSID);
TANGO_API int __stdcall LSX_GetCtrFastMove (int lLSID, BOOL *pbActive);
TANGO_API int __stdcall LSX_ClearCtrFastMoveCounter (int lLSID);
TANGO_API int __stdcall LSX_GetCtrFastMoveCounter (int lLSID, int *plXC, int *plYC, int *plZC, int *plRC);
TANGO_API int __stdcall LSX_ClearEncoder (int lLSID, int lAxis);
TANGO_API int __stdcall LSX_GetEncoder (int lLSID, double *pdXP, double *pdYP, double *pdZP, double *pdRP);
TANGO_API int __stdcall LSX_GetTrigger (int lLSID, BOOL *pbATrigger);
TANGO_API int __stdcall LSX_GetTriggerPar (int lLSID, int *plAxis, int *plMode, int *plSignal, double *pdDistance);
TANGO_API int __stdcall LSX_SetTrigCount (int lLSID, int lValue);
TANGO_API int __stdcall LSX_GetTrigCount (int lLSID, int *plValue);
TANGO_API int __stdcall LSX_SetTVRInPulse (int lLSID, int lAxis, BOOL bDirection);
TANGO_API int __stdcall LSX_GetSnapshot (int lLSID, BOOL *pbASnapshot);
TANGO_API int __stdcall LSX_SetSnapshotFilter (int lLSID, int lTime);
TANGO_API int __stdcall LSX_GetSnapshotFilter (int lLSID, int *plTime);
TANGO_API int __stdcall LSX_GetSnapshotPar (int lLSID, BOOL *pbHigh, BOOL *pbAutoMode);
TANGO_API int __stdcall LSX_GetLimit (int lLSID, int lAxis, double *pdMinRange, double *pdMaxRange);
TANGO_API int __stdcall LSX_JoyChangeAxis (int lLSID, BOOL bValue);
TANGO_API int __stdcall LSX_GetJoyChangeAxis (int lLSID, BOOL *pbValue);


TANGO_API int __stdcall LS_Connect(void);
TANGO_API int __stdcall LS_ConnectSimple(int lAnInterfaceType, char *pcAComName, int lABaudRate, BOOL bAShowProt);
TANGO_API int __stdcall LS_ConnectEx (TLS_ControlInitPar *pAControlInitPar);
TANGO_API int __stdcall LS_Disconnect (void);
TANGO_API int __stdcall LS_GetDLLVersionString (char *pcVers, int lMaxLen);
TANGO_API int __stdcall LS_LoadConfig (char *pcFileName);
TANGO_API int __stdcall LS_SaveConfig (char *pcFileName);
TANGO_API int __stdcall LS_MoveAbs (double dX, double dY, double dZ, double dA, BOOL bWait);
TANGO_API int __stdcall LS_MoveRel (double dX, double dY, double dZ, double dA, BOOL bWait);
TANGO_API int __stdcall LS_Calibrate (void);
TANGO_API int __stdcall LS_RMeasure (void);
TANGO_API int __stdcall LS_SetPitch (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetPos (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetActiveAxes (int lFlags);
TANGO_API int __stdcall LS_SetVel (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetAccel (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetReduction (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetDelay (int lDelay);
TANGO_API int __stdcall LS_SetSwitchPolarity (int lXP, int lYP, int lZP, int lAP);
TANGO_API int __stdcall LS_SetSwitchActive (int lXA, int lYA, int lZA, int lAA);
TANGO_API int __stdcall LS_SetJoystickOn (BOOL bPositionCount, BOOL bEncoder);
TANGO_API int __stdcall LS_SetJoystickOff (void);
TANGO_API int __stdcall LS_SoftwareReset (void);
TANGO_API int __stdcall LS_SetDigitalOutput (int lIndex, BOOL bValue);
TANGO_API int __stdcall LS_GetDigitalInputs (int *plValue);
TANGO_API int __stdcall LS_SetAnalogOutput (int lIndex, int lValue);
TANGO_API int __stdcall LS_GetAnalogInput (int lIndex, int *plValue);
TANGO_API int __stdcall LS_GetHdiKeys (int *plKey1, int *plKey2, int *plKey3, int *plKey4);
TANGO_API int __stdcall LS_SetLimit (int lAxis, double dMinRange, double dMaxRange);
TANGO_API int __stdcall LS_SetLimitControl (int lAxis, BOOL bActive);
TANGO_API int __stdcall LS_GetPos (double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LS_GetStatus (char *pcStat, int lMaxLen);
TANGO_API int __stdcall LS_GetEncoderMask (int *plFlags);
TANGO_API int __stdcall LS_StopAxes (void);
TANGO_API int __stdcall LS_SetAbortFlag (void);
TANGO_API int __stdcall LS_MoveRelSingleAxis (int lAxis, double dValue, BOOL bWait);
TANGO_API int __stdcall LS_MoveAbsSingleAxis (int lAxis, double dValue, BOOL bWait);
TANGO_API int __stdcall LS_SetControlPars (void);
TANGO_API int __stdcall LS_SetMotorCurrent (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetVelSingleAxis (int lAxis, double dVel);
TANGO_API int __stdcall LS_SetAccelSingleAxis (int lAxis, double dAccel);
TANGO_API int __stdcall LS_CalibrateEx (int lFlags);
TANGO_API int __stdcall LS_RMeasureEx (int lFlags);
TANGO_API int __stdcall LS_SetShowProt (BOOL bShowProt);
TANGO_API int __stdcall LS_GetAnalogInputs2 (int *plPT100, int *plMV, int *plV24);
TANGO_API int __stdcall LS_SendString (char *pcStr, char *pcRet, int lMaxLen, BOOL bReadLine, int lTimeOut);
TANGO_API int __stdcall LS_SetSpeedPoti (BOOL bSpeedPoti);
TANGO_API int __stdcall LS_SetTVRMode (int lXT, int lYT, int lZT, int lAT);
TANGO_API int __stdcall LS_SetAutoStatus (int lValue);
TANGO_API int __stdcall LS_GetStatusAxis (char *pcStatusAxisStr, int lMaxLen);
TANGO_API int __stdcall LS_SetDigIO_Off (int lIndex);
TANGO_API int __stdcall LS_SetDigIO_Polarity (int lIndex, BOOL bHigh);
TANGO_API int __stdcall LS_SetDigIO_EmergencyStop (int lIndex);
TANGO_API int __stdcall LS_SetDigIO_Distance (int lIndex, BOOL bFkt, double dDist, int lAxis);
TANGO_API int __stdcall LS_SetDimensions (int lXD, int lYD, int lZD, int lAD);
TANGO_API int __stdcall LS_MoveRelShort (void);
TANGO_API int __stdcall LS_SetEncoderPeriod (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetJoystickDir (int lXD, int lYD, int lZD, int lAD);
TANGO_API int __stdcall LS_SetEncoderMask (int lValue);
TANGO_API int __stdcall LS_SetGear (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetHandWheelOn (BOOL bPositionCount, BOOL bEncoder);
TANGO_API int __stdcall LS_SetHandWheelOff (void);
TANGO_API int __stdcall LS_SetFactorTVR (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetTargetWindow (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetController (int lXC, int lYC, int lZC, int lAC);
TANGO_API int __stdcall LS_SetControllerCall (int lCtrCall);
TANGO_API int __stdcall LS_SetControllerSteps (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetControllerFactor (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetControllerTWDelay (int lCtrTWDelay);
TANGO_API int __stdcall LS_SetEncoderRefSignal (int lXR, int lYR, int lZR, int lAR);
TANGO_API int __stdcall LS_SetEncoderPosition (BOOL bValue);
TANGO_API int __stdcall LS_GetVersionStr (char *pcVers, int lMaxLen);
TANGO_API int __stdcall LS_GetError (int *plErrorCode);
TANGO_API int __stdcall LS_GetPosSingleAxis (int lAxis, double *pdPos);
TANGO_API int __stdcall LS_SetDistance (double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_GetPosEx (double *pdX, double *pdY, double *pdZ, double *pdR, BOOL bEncoder);
TANGO_API int __stdcall LS_SetShowCmdList (BOOL bShowCmdList);
TANGO_API int __stdcall LS_SetWriteLogText (BOOL bAWriteLogText);
TANGO_API int __stdcall LS_SetControllerTimeout (int lACtrTimeout);
TANGO_API int __stdcall LS_SetEncoderActive (int lFlags);
TANGO_API int __stdcall LS_GetSnapshotCount (int *plSnsCount);
TANGO_API int __stdcall LS_GetSnapshotPos (double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LS_SetCorrTblOff (void);
TANGO_API int __stdcall LS_SetCorrTblOn (char *pcAFileName);
TANGO_API int __stdcall LS_SetFactorMode (BOOL bAFactorMode, double dX, double dY, double dZ, double dA);
TANGO_API int __stdcall LS_SetSnapshot (BOOL bASnapshot);
TANGO_API int __stdcall LS_SetSnapshotPar (BOOL bHigh, BOOL bAutoMode);
TANGO_API int __stdcall LS_SetTrigger (BOOL bATrigger);
TANGO_API int __stdcall LS_SetTriggerPar (int lAxis, int lMode, int lSignal, double dDistance);
TANGO_API int __stdcall LS_SetLanguage (char *pcPLN);
TANGO_API int __stdcall LS_GetSwitches (int *plFlags);
TANGO_API int __stdcall LS_GetSerialNr (char *pcSerialNr, int lMaxLen);
TANGO_API int __stdcall LS_SetCalibOffset (double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LS_SetRMOffset (double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LS_GetSnapshotPosArray (int lIndex, double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_SetAxisDirection (int lXD, int lYD, int lZD, int lAD);
TANGO_API int __stdcall LS_SetCalibrateDir (int lXD, int lYD, int lZD, int lAD);
TANGO_API int __stdcall LS_LStepSave (void);
TANGO_API int __stdcall LS_SetBPZ (int lAValue);
TANGO_API int __stdcall LS_SetBPZTrackballFactor (double dAValue);
TANGO_API int __stdcall LS_SetBPZTrackballBackLash (double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LS_SetBPZJoyspeed (int lAPar, double dAValue);
TANGO_API int __stdcall LS_SetJoystickWindow (int lAValue);
TANGO_API int __stdcall LS_SetCurrentDelay (int lX, int lY, int lZ, int lR);
TANGO_API int __stdcall LS_MoveEx (double dX, double dY, double dZ, double dR, BOOL bRelative, BOOL bWait, int lAxisCount);
TANGO_API int __stdcall LS_WaitForAxisStop (int lAFlags, int lATimeoutValue, BOOL *pbATimeout);
TANGO_API int __stdcall LS_SetProcessMessagesProc (void* pProc);
TANGO_API int __stdcall LS_SendStringPosCmd (char *pcStr, char *pcRet, int lMaxLen, BOOL bReadLine, int lTimeOut);
TANGO_API int __stdcall LS_SetDigitalOutputs (int lValue);
TANGO_API int __stdcall LS_SetWriteLogTextFN (BOOL bAWriteLogText, char *pcALogFN);
TANGO_API int __stdcall LS_SetDigitalOutputsE (int lValue);
TANGO_API int __stdcall LS_GetDigitalInputsE (int *plValue);
TANGO_API int __stdcall LS_EnableCommandRetry (BOOL bAValue);
TANGO_API int __stdcall LS_SetXYAxisComp (int lValue);
TANGO_API int __stdcall LS_GetVersionStrDet (char *pcVersDet, int lMaxLen);
TANGO_API int __stdcall LS_SetCommandTimeout (int lAtoRead, int lAtoMove, int lAtoCalibrate);
TANGO_API int __stdcall LS_SetExtValue (int lAName, int lAValue);
TANGO_API int __stdcall LS_FlushBuffer (int lAValue);
TANGO_API int __stdcall LS_GetEEPRomValue (byte Offset, byte *pValue);
TANGO_API int __stdcall LS_SetEEPRomValue (byte Offset, byte Value);
TANGO_API int __stdcall LS_GetXYAxisComp (int *plValue);
TANGO_API int __stdcall LS_GetDimensions (int *plXD, int *plYD, int *plZD, int *plAD);
TANGO_API int __stdcall LS_GetPitch (double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LS_GetGear (double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LS_GetVel (double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LS_GetAccel (double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LS_SetVelFac (double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LS_GetVelFac (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_GetSpeedPoti (BOOL *pbSpePoti);
TANGO_API int __stdcall LS_GetMotorCurrent (double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LS_GetReduction (double *pdX, double *pdY, double *pdZ, double *pdA);
TANGO_API int __stdcall LS_GetCurrentDelay (int *plX, int *plY, int *plZ, int *plR);
TANGO_API int __stdcall LS_SetOutFuncLev (double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LS_GetOutFuncLev (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_GetActiveAxes (int *plFlags);
TANGO_API int __stdcall LS_GetAxisDirection (int *plXD, int *plYD, int *plZD, int *plAD);
TANGO_API int __stdcall LS_GetCalibOffset (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_GetRMOffset (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_GetCalibrateDir (int *plXD, int *plYD, int *plZD, int *plAD);
TANGO_API int __stdcall LS_SetCalibBackSpeed (int lSpeed);
TANGO_API int __stdcall LS_GetCalibBackSpeed (int *plSpeed);
TANGO_API int __stdcall LS_SetRefSpeed (int lSpeed);
TANGO_API int __stdcall LS_GetRefSpeed (int *plSpeed);
TANGO_API int __stdcall LS_SetPowerAmplifier (BOOL bAmplifier);
TANGO_API int __stdcall LS_GetPowerAmplifier (BOOL *pbAmplifier);
TANGO_API int __stdcall LS_SetMotorTablePatch (BOOL bActive);
TANGO_API int __stdcall LS_GetMotorTablePatch (BOOL *pbActive);
TANGO_API int __stdcall LS_SetJoystickFilter (BOOL bActive);
TANGO_API int __stdcall LS_GetJoystickFilter (BOOL *pbActive);
TANGO_API int __stdcall LS_SetStopPolarity (BOOL bHighActiv);
TANGO_API int __stdcall LS_GetStopPolarity (BOOL *pbHighActiv);
TANGO_API int __stdcall LS_SetVLevel (int lVRegion, double dDownLevel, double dUppLevel);
TANGO_API int __stdcall LS_GetVLevel (int lVRegion, double *pdDownLevel, double *pdUppLevel);
TANGO_API int __stdcall LS_SetStopAccel (double dXD, double dYD, double dZD, double dAD);
TANGO_API int __stdcall LS_GetStopAccel (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
TANGO_API int __stdcall LS_GetVersionStrInfo (char *pcVersInfo, int lMaxLen);
TANGO_API int __stdcall LS_GetStatusLimit (char *pcLimit, int lMaxLen);
TANGO_API int __stdcall LS_GetSecurityErr (DWORD *pdwValue);
TANGO_API int __stdcall LS_GetSecurityStatus (DWORD *pdwValue);
TANGO_API int __stdcall LS_GetDelay (int *plDelay);
TANGO_API int __stdcall LS_GetDistance (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_ClearPos (int lFlags);
TANGO_API int __stdcall LS_SetDigJoySpeed (double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LS_GetDigJoySpeed (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_GetJoystickDir (int *plXD, int *plYD, int *plZD, int *plRD);
TANGO_API int __stdcall LS_GetJoystick (BOOL *pbJoystickOn, BOOL *pbManual, BOOL *pbPositionCount, BOOL *pbEncoder);
TANGO_API int __stdcall LS_GetJoystickWindow (int *plAValue);
TANGO_API int __stdcall LS_GetHandWheel (BOOL *pbHandWheelOn, BOOL *pbPositionCount, BOOL *pbEncoder);
TANGO_API int __stdcall LS_GetBPZ (int *plAValue);
TANGO_API int __stdcall LS_GetBPZTrackballFactor (double *pdAValue);
TANGO_API int __stdcall LS_GetBPZTrackballBackLash (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_GetBPZJoyspeed (int lAPar, double *pdAValue);
TANGO_API int __stdcall LS_GetLimitControl (int lAxis, BOOL *pbActive);
TANGO_API int __stdcall LS_SetAutoLimitAfterCalibRM (int lFlags);
TANGO_API int __stdcall LS_GetAutoLimitAfterCalibRM (int *plFlags);
TANGO_API int __stdcall LS_GetSwitchPolarity (int *plXP, int *plYP, int *plZP, int *plRP);
TANGO_API int __stdcall LS_GetSwitchActive (int *plXA, int *plYA, int *plZA, int *plRA);
TANGO_API int __stdcall LS_GetTVRMode (int *plXT, int *plYT, int *plZT, int *plRT);
TANGO_API int __stdcall LS_GetFactorTVR (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_SetTVROutMode (int lXT, int lYT, int lZT, int lRT);
TANGO_API int __stdcall LS_GetTVROutMode (int *plXT, int *plYT, int *plZT, int *plRT);
TANGO_API int __stdcall LS_SetTVROutResolution (int lX, int lY, int lZ, int lR);
TANGO_API int __stdcall LS_GetTVROutResolution (int *plX, int *plY, int *plZ, int *plR);
TANGO_API int __stdcall LS_SetTVROutPitch (double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LS_GetTVROutPitch (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_SetVelTVRO (double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LS_GetVelTVRO (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_SetAccelTVRO (double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LS_GetAccelTVRO (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_SetVelSingleAxisTVRO (int lAxis, double dVel);
TANGO_API int __stdcall LS_SetAccelSingleAxisTVRO (int lAxis, double dAccel);
TANGO_API int __stdcall LS_SetPosTVRO (double dX, double dY, double dZ, double dR);
TANGO_API int __stdcall LS_GetPosTVRO (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_MoveAbsTVRO (double dX, double dY, double dZ, double dR, BOOL bWait);
TANGO_API int __stdcall LS_MoveRelTVRO (double dX, double dY, double dZ, double dR, BOOL bWait);
TANGO_API int __stdcall LS_MoveRelTVROSingleAxis (int lAxis, double dValue, BOOL bWait);
TANGO_API int __stdcall LS_MoveAbsTVROSingleAxis (int lAxis, double dValue, BOOL bWait);
TANGO_API int __stdcall LS_GetStatusTVRO (char *pcStat, int lMaxLen);
TANGO_API int __stdcall LS_GetTargetWindow (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_GetEncoderPeriod (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_GetEncoderRefSignal (int *plXR, int *plYR, int *plZR, int *plRR);
TANGO_API int __stdcall LS_GetEncoderPosition (BOOL *pbValue);
TANGO_API int __stdcall LS_GetEncoderActive (int *plFlags);
TANGO_API int __stdcall LS_GetController (int *plXC, int *plYC, int *plZC, int *plRC);
TANGO_API int __stdcall LS_GetControllerCall (int *plCtrCall);
TANGO_API int __stdcall LS_GetControllerSteps (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_GetControllerFactor (double *pdX, double *pdY, double *pdZ, double *pdR);
TANGO_API int __stdcall LS_GetControllerTWDelay (int *plCtrTWDelay);
TANGO_API int __stdcall LS_GetControllerTimeout (int *plACtrTimeout);
TANGO_API int __stdcall LS_SetCtrFastMoveOn (void);
TANGO_API int __stdcall LS_SetCtrFastMoveOff (void);
TANGO_API int __stdcall LS_GetCtrFastMove (BOOL *pbActive);
TANGO_API int __stdcall LS_ClearCtrFastMoveCounter (void);
TANGO_API int __stdcall LS_GetCtrFastMoveCounter (int *plXC, int *plYC, int *plZC, int *plRC);
TANGO_API int __stdcall LS_ClearEncoder (int lAxis);
TANGO_API int __stdcall LS_GetEncoder (double *pdXP, double *pdYP, double *pdZP, double *pdRP);
TANGO_API int __stdcall LS_GetTrigger (BOOL *pbATrigger);
TANGO_API int __stdcall LS_GetTriggerPar (int *plAxis, int *plMode, int *plSignal, double *pdDistance);
TANGO_API int __stdcall LS_SetTrigCount (int lValue);
TANGO_API int __stdcall LS_GetTrigCount (int *plValue);
TANGO_API int __stdcall LS_SetTVRInPulse (int lAxis, BOOL bDirection);
TANGO_API int __stdcall LS_GetSnapshot (BOOL *pbASnapshot);
TANGO_API int __stdcall LS_SetSnapshotFilter (int lTime);
TANGO_API int __stdcall LS_GetSnapshotFilter (int *plTime);
TANGO_API int __stdcall LS_GetSnapshotPar (BOOL *pbHigh, BOOL *pbAutoMode);
TANGO_API int __stdcall LS_GetLimit (int lAxis, double *pdMinRange, double *pdMaxRange);
TANGO_API int __stdcall LS_JoyChangeAxis (BOOL bValue);
TANGO_API int __stdcall LS_GetJoyChangeAxis (BOOL *pbValue);

/*
//unklar, da von Lang die Dokumentation fehlt
TANGO_API int __stdcall LS_GetAxes (void);
TANGO_API int __stdcall LS_GetCalibPar (void);
TANGO_API int __stdcall LS_GetCmdListWnd (void);
TANGO_API int __stdcall LS_GetConfig (void);
TANGO_API int __stdcall LS_GetConnected (void);
TANGO_API int __stdcall LS_GetCtrlInitPar (void);
TANGO_API int __stdcall LS_GetCtrlPars (void);
TANGO_API int __stdcall LS_GetProtWnd (void);
TANGO_API int __stdcall LS_ReadControlPars (void);
TANGO_API int __stdcall LS_SetAxis (void);
TANGO_API int __stdcall LS_SetCalibPar (void);
TANGO_API int __stdcall LS_SetControlParsEx (void);
TANGO_API int __stdcall LS_SetCtrlInitPar (void);
TANGO_API int __stdcall LS_SetCtrlPars (void);
TANGO_API int __stdcall LS_SetExceptionProc (void);
TANGO_API int __stdcall LS_SetMainWnd (void);
TANGO_API int __stdcall LS_SetRaiseExceptions (void);
*/

#ifdef __cplusplus
// use "C"-style names
}
#endif










#endif // !defined(AFX_TANGO_DLL_H__9C482D72_9083_4B59_835F_8120FA8DFE16__INCLUDED_)
